Class Specialization
GlobalChain
Selects an anchor based method to join a Journaled String to a global reference sequence.

JoinConfig

GlobalChain

GlobalChain<TStrategyTag>
Include Headers
seqan/journal_set.h
Parameters

TStrategyTag | The strategy used to compute the journal. Types: JournaledCompact, JournaledManhatten

Remarks
The JournaledManhatten strategy fills the gaps between the anchors with a single insertion node, while the corresponding part of the reference sequence is deleted.
Specialization of
JoinConfig
Functions

join | Joins a Journaled String to a Journaled Set by computing and journaling differences to the global reference sequence. (JoinConfig)

See Also
GlobalAlign
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00